#include "q40snd.h"
#include <qdos.h>

static int fd = 0;
static int lnz;

int sndbusy (void)
{
    int n;
    n = lnz;
    /* Note: Samples in queue is 1/2 no bytes !! */
    return (n > 0) ? n >> 1 : 0;
}

int sndplay (void *buf, int n)
{
    lnz = n;
    
    if (fd == 0)
    {
	fd = io_open ("win2_tmp_.snd", 3);
    }
    if (fd > 0)
    {
	int m, k;

	m = MIN (n, MAXIO);
	k = io_sstrg (fd, -1, buf, (short) m);
	if (k > 0)
	{
	    n -= k;
	}
	else
	    n = 0;
    }
    lnz -= n;
    return n;
}

